Установка докера не удалась на Ubuntu 16.04 (неизвестная ошибка)

Я пытаюсь установить BigBlueButton и пока что это работает (sudo bbb-conf --status помечает все части как активные). Однако установка docker-ce docker-ce-cli с использованием репозитория не работает (sudo apt-get install docker-ce docker-ce-cli containerd .io).

Setting up docker-ce (5:20.10.3~3-0~ubuntu-xenial) … Job for
docker.service failed because the control process exited with error
code. See “systemctl status docker.service” and “journalctl -xe” for
details. invoke-rc.d: initscript docker, action “start” failed.
    ● docker.service - Docker Application Container Engine
    Loaded: loaded (/lib/systemd/system/docker.service; enabled; vendor preset: enabled)
    Active: activating (auto-restart) (Result: exit-code) since Fri 2021-02-19 14:48:45 CET; 4ms ago
    Docs: *************
    Process: 7021 ExecStart=/usr/bin/dockerd -H fd:// --containerd=/run/containerd/containerd.sock (code=exited, status=1/FAILURE)
    Main PID: 7021 (code=exited, status=1/FAILURE)

Feb 19 14:48:45 ubuntuserver systemd[1]: Failed to start Docker
Application …
    Feb 19 14:48:45 ubuntuserver systemd[1]: docker.service: Unit entered failed…
    Feb 19 14:48:45 ubuntuserver systemd[1]: docker.service: Failed with result …
    Hint: Some lines were ellipsized, use -l to show in full.
    dpkg: error processing package docker-ce (–configure):
    subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of docker-ce-rootless-extras:
    docker-ce-rootless-extras depends on docker-ce; however:
    Package docker-ce is not configured yet.

dpkg: error processing package docker-ce-rootless-extras (–configure):
    dependency problems - leaving unconfigured
    No apport report written because the error message indicates its a followup error from a previous failure.
    Processing triggers for systemd (229-4ubuntu21.29) …
    Processing triggers for ureadahead (0.100.0-19.1) …
    Errors were encountered while processing:
    docker-ce
    docker-ce-rootless-extras
    E: Sub-process /usr/bin/dpkg returned an error code (1)

systemctl status docker.service говорит:

docker.service - Docker Application Container Engine
    Loaded: loaded (/lib/systemd/system/docker.service; enabled; vendor preset: e
    Active: failed (Result: start-limit-hit) since Fri 2021-02-19 14:48:54 CET; 8
    Docs: *************
    Process: 7267 ExecStart=/usr/bin/dockerd -H fd:// --containerd=/run/containerd
    Main PID: 7267 (code=exited, status=1/FAILURE)

journalctl -xe говорит:

Feb 19 14:56:48 ubuntuserver systemd[1]: Stopped target BigBlueButton
recording

– Subject: Unit bbb-record-core.target has finished shutting down
    – Defined-By: systemd
    – Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
    – Unit bbb-record-core.target has finished shutting down.
    Feb 19 14:57:06 ubuntuserver systemd_start.sh[1606]: info: Checking for inactive
    Feb 19 14:57:06 ubuntuserver systemd_start.sh[1606]: info: No inactive users
    Feb 19 14:57:29 ubuntuserver systemd[1]: Reached target BigBlueButton recording
    – Subject: Unit bbb-record-core.target has finished start-up
    – Defined-By: systemd
    – Support: *************
    – Unit bbb-record-core.target has finished starting up.
    – The start-up result is done.
    Feb 19 14:57:29 ubuntuserver systemd[1]: bbb-record-core.target: Unit not needed
    Feb 19 14:57:29 ubuntuserver systemd[1]: Stopped target BigBlueButton recording
    – Subject: Unit bbb-record-core.target has finished shutting down
    – Defined-By: systemd
    – Support: *************

Unit bbb-record-core.target has finished shutting down.

Я пытался в течение нескольких дней. Деинсталлировал и удалил все, как показано на странице docker ("удаление docker"). У некоторых ребят были похожие проблемы, но найденные решения не сработали.

Заранее спасибо! greetings

/edit: Я использую совершенно новую установку Ubuntu Server 16.04. (необходима для BigBlueButton). Я установил графический интерфейс (xfce4).

/edit2: "Иногда нас спрашивают: "Почему вы поддерживаете только Ubuntu 16.04 64-bit)?". Ответ основан на выборе качества, а не количества. Давным-давно мы пришли к выводу, что для проекта лучше иметь надежную, хорошо протестированную, хорошо документированную установку для конкретной версии Linux, которая работает действительно, действительно хорошо, чем пытаться поддерживать варианты Linux, и ни один из них не работает хорошо". Так говорит BBB-инсталляция.

0
задан 21 February 2021 в 08:40

1 ответ

Хорошо, ребята, я сдаюсь. Он поддерживает только 16.04, и я не могу найти ошибку на себя: '( Спасибо за ваши ответы в любом случае :)

0
ответ дан 18 March 2021 в 23:32

Другие вопросы по тегам:

Похожие вопросы: